Subject: Re: bug#65382: 27.1; Sometimes two cursors are unexpectedly shown

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 16:48:22 +0300

> Date: Sat, 19 Aug 2023 13:20:42 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> 
> >> I can reproduce this (with Emacs 24 up to 30).  But I don't see more 
> >> than one cursor either: the "other" cursor appears to be a kind of 
> >> visual glitch, it does not blink, and it vanishes after e.g. M-x TAB 
> >> C-g, or moving another frame above the one on which the "other" cursor 
> >> appears.
> >
> > Does it also vanish if you say "M-x redraw-display RET"?
> >
> 
> Yes.

So the other cursor is probably some artifact we didn't remove when we
should have.  Does it look like a cursor, or does it look like one of
the images that the recipe uses?

Also, what happens if you change the cursor-type to be, say, 'bar'
before running the recipe?